On this page
No Headings
Oauth 2.0 authentication
Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/payments/paymentHolds authorization information for external API calls.
^.*$1 <= length <= 16000The unique ID of the HTTP transmission.
^(?!\d+$)\w+\S+$1 <= length <= 50The date and time of the HTTP transmission, in Internet date and time format.
^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$20 <= length <= 64The URL to the X.509 public key certificate. The merchant downloads the certificate from this URL and uses it to verify the signature.
uri1 <= length <= 500The PayPal-generated asymmetric signature.
^(?!\d+$)\w+\S+$1 <= length <= 500The algorithm that PayPal uses to generate the signature and that the merchant can use to verify the signature.
^[a-zA-Z0-9]+$1 <= length <= 100application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api-m.sandbox.paypal.com/v2/checkout/orders/order-update-callback" \ -H "Authorization: Bearer A21AAGHr9qtiRRXH4oYcQokQgV99rGqEIfgrr8xHCclP0OzmD9KVgg5ppIIg1jzJgQkV4wd02svIvBJyg6cLFJjFow_SjBhxQ" \ -H "PayPal-Transmission-Id: 69cd13f0-d67a-11e5-baa3-778b53f4ae55" \ -H "PayPal-Transmission-Time: 2016-02-18T20:01:35Z" \ -H "PayPal-Cert-Url: https://api-m.paypal.com/v1/notifications/certs/CERT-1234567890" \ -H "PayPal-Transmission-Sig: lmI95Jx3Y9nhR5SJWlHVIWpg4AgFk7n9bCHSRxbrd8A9zrhdu2rMyFrmz+Zjh3s3boXB07VXCXUZy/UFzUlnGJn0wDugt7FlSvdKeIJenLRemUxYCPVoEZzg9VFNqOa48gMkvF+XTpxBeUx/kWy6B5cp7GkT2+pOowfRK7OaynuxUoKW3JcMWw272VKjLTtTAShncla7tGF+55rxyt2KNZIIqxNMJ48RDZheGU5w1npu9dZHnPgTXB9iomeVRoD8O/jhRpnKsGrDschyNdkeh81BJJMH4Ctc6lnCCquoP/GzCzz33MMsNdid7vL/NIWaCsekQpW26FpWPi/tfj8nLA==" \ -H "PayPal-Auth-Algo: SHA256withRSA" \ -H "Content-Type: application/json" \ -d '{ "id": "8HFTASDATTV", "shipping_address": { "country_code": "US", "admin_area_1": "TX", "admin_area_2": "Dallas", "postal_code": "75001" }, "purchase_units": [ { "reference_id": "d9f80740-38f0-11e8-b467-0ed5f89f718b", "amount": { "currency_code": "USD", "value": "100.00" } } ] }'{
"id": "8HFTASDATTV",
"purchase_units": {
"reference_id": "d9f80740-38f0-11e8-b467-0ed5f89f718b",
"amount": {
"currency_code": "USD",
"value": "105.00",
"breakdown": {
"item_total": {
"currency_code": "USD",
"value": "100.00"
},
"tax_total": {
"currency_code": "USD",
"value": "5.00"
},
"shipping": {
"currency_code": "USD",
"value": "0.00"
}
}
},
"shipping_options": [
{
"id": "1",
"amount": {
"currency_code": "USD",
"value": "0.00"
},
"type": "SHIPPING",
"label": "Free Shipping",
"selected": true
},
{
"id": "2",
"amount": {
"currency_code": "USD",
"value": "7.00"
},
"type": "SHIPPING",
"label": "USPS Priority Shipping",
"selected": false
},
{
"id": "3",
"amount": {
"currency_code": "USD",
"value": "10.00"
},
"type": "SHIPPING",
"label": "1-Day Shipping",
"selected": false
}
]
}
}{
"name": "string",
"message": "string",
"details": [
{
"field": "string",
"value": "string",
"issue": "string"
}
]
}{
"name": "string",
"message": "string",
"details": [
{
"field": "string",
"value": "string",
"issue": "string"
}
]
}{
"name": "NOT_AUTHORIZED",
"debug_id": "b1d1f06c7246c",
"message": "Authorization failed due to insufficient permissions."
}{
"name": "UNPROCESSABLE_ENTITY",
"details": [
{
"issue": "ADDRESS_ERROR"
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"debug_id": "b1d1f06c7246c",
"message": "An internal server error has occurred."
}{
"name": "INTERNAL_SERVER_ERROR",
"debug_id": "b1d1f06c7246c",
"message": "An internal server error has occurred."
}An array of purchase units. At present only 1 purchase_unit is supported. Each purchase unit establishes a contract between a payer and the payee. Each purchase unit represents either a full or partial order that the payer intends to purchase from the payee.
1 <= items <= 1